Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"status": "DRAFT",
"code": "<string>",
"cpfcnpj": {},
"isPJ": true,
"commercialName": "<string>",
"companyName": {},
"addresses": [
{
"id": "<string>",
"principal": true,
"address": {
"id": "<string>",
"zipCode": "<string>",
"streetDescription": "<string>",
"streetNumber": "<string>",
"complement": "<string>",
"reference": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"municipality": {
"id": "<string>",
"name": "<string>",
"code": "<string>",
"uf": "<string>"
},
"code": "<string>",
"type": "DELIVERY"
}
}
],
"email": {},
"salesRepresentatives": [
{
"id": "<string>",
"principal": true,
"name": "<string>",
"code": "<string>",
"description": "<string>",
"active": true
}
],
"customerGroupName": "<string>",
"useGroupPriceTable": true,
"phone": {},
"creditLimit": 123,
"availableBalance": 123,
"synchronized": "SUCCESS",
"classifications": [
{
"name": "<string>",
"code": "<string>",
"classificationType": {
"name": "<string>",
"code": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"stateInscription": {},
"observation": {},
"suframaCode": "<string>",
"customFields": [
"<string>"
],
"blockingReason": {
"integrationCode": "<string>",
"reason": "<string>"
}
}
],
"nextCursor": "<string>"
}clientes
customers pagination
GET
/
v1
/
customers
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"status": "DRAFT",
"code": "<string>",
"cpfcnpj": {},
"isPJ": true,
"commercialName": "<string>",
"companyName": {},
"addresses": [
{
"id": "<string>",
"principal": true,
"address": {
"id": "<string>",
"zipCode": "<string>",
"streetDescription": "<string>",
"streetNumber": "<string>",
"complement": "<string>",
"reference": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"municipality": {
"id": "<string>",
"name": "<string>",
"code": "<string>",
"uf": "<string>"
},
"code": "<string>",
"type": "DELIVERY"
}
}
],
"email": {},
"salesRepresentatives": [
{
"id": "<string>",
"principal": true,
"name": "<string>",
"code": "<string>",
"description": "<string>",
"active": true
}
],
"customerGroupName": "<string>",
"useGroupPriceTable": true,
"phone": {},
"creditLimit": 123,
"availableBalance": 123,
"synchronized": "SUCCESS",
"classifications": [
{
"name": "<string>",
"code": "<string>",
"classificationType": {
"name": "<string>",
"code": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"stateInscription": {},
"observation": {},
"suframaCode": "<string>",
"customFields": [
"<string>"
],
"blockingReason": {
"integrationCode": "<string>",
"reason": "<string>"
}
}
],
"nextCursor": "<string>"
}Authorizations
unique identifier access key. each brand has it own unique key.
Query Parameters
pagination: limit of entities returned by query
Required range:
x <= 50pagination: cursor of the last loaded item. omit it to get the first page
Available options:
PENDING, APPROVED, BLOCKED, INACTIVE Available options:
SUCCESS, ERROR, NOT_SYNCHRONIZED, PROCESSING filter by customer code
filter by CPF or CNPJ
change interval start date
change interval end date
